function strA = printBlockAStr(headingLine,lengthUnits,timeUnits,...
    maxIterations,tolTheta,tolHead,includeWaterFlow,includeAtmos,includeSeep,...
    includeDrainage)

templA = readTemplate('a');

if ~strcmp(lengthUnits,{'cm','m'})
    error('unrecognized length units')
end

if ~strcmp(timeUnits,{'sec','hr','hours','days','day'})
    error('unrecognized time units')
end

if includeWaterFlow
    includeWaterFlow='t';
else
    includeWaterFlow='f';
end

if includeAtmos
    includeAtmos = 't';
else
    includeAtmos = 'f';
end

if includeSeep
    includeSeep = 't';
else
    includeSeep = 'f';
end

includeDrainage = 'f';


strA = sprintf(templA,headingLine,lengthUnits,timeUnits,...
    maxIterations,tolTheta,tolHead,includeWaterFlow,includeAtmos,includeSeep,...
    includeDrainage);